Bug 1436808 - python-docutils: python3-docutils is missing Python 3 version of executables
python-docutils: python3-docutils is missing Python 3 version of executables
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-docutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PY3-EXECUTABLES
  Show dependency treegraph
 
Reported: 2017-03-28 13:43 EDT by Iryna Shcherbina
Modified: 2017-07-30 15:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-30 15:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix of missing Python 3 version executables (15.72 KB, patch)
2017-07-25 03:57 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Iryna Shcherbina 2017-03-28 13:43:25 EDT
The Python 3 subpackage python3-docutils is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/
Comment 1 Jan Beran 2017-07-25 03:57 EDT
Created attachment 1304081 [details]
Fix of missing Python 3 version executables
Comment 2 Jan Beran 2017-07-25 03:58:06 EDT
Hi, may I ask to review the updated spec file, and if everything is fine, to make a Fedora build? Thank you.
Comment 3 Kevin Fenzi 2017-07-30 15:46:08 EDT
Looks fine, commited and pushed to rawhide.

Note You need to log in before you can comment on or make changes to this bug.